Loading...
Searching...
No Matches
Token Transport
Globus GSS Assist

Send and Receive Security Tokens. More...

## Functions

int | globus_gss_assist_token_get_fd (void *arg, void **bufp, size_t *sizep)
| Get token from a FILE *.
int | globus_gss_assist_token_send_fd (void *arg, void *buf, size_t size)
| Send token via a FILE *.
int | globus_gss_assist_token_send_fd_without_length (void *arg, void *buf, size_t size)
| Send token to a FILE *.
int | globus_gss_assist_token_send_fd_ex (void *exp, void *buf, size_t size)
| Send a token to a FILE *.

## Detailed Description

Send and Receive Security Tokens.

The functions in this section are used to send and receive GSSAPI tokens using various methods. These are used by the Security Context Management functions.

## Function Documentation

## globus_gss_assist_token_get_fd()

int globus_gss_assist_token_get_fd | ( | void * | arg,
|  | void ** | bufp,
|  | size_t * | sizep )

Get token from a FILE *.

Use a open FILE handle to get a token. This function provides parameter types that allow it to be passed to globus_gss_assist_init_sec_context and globus_gss_assist_accept_sec_context

Parameters

  arg | the FILE * stream cast to a void pointer
  bufp | the resulting token
  sizep | the size (number of bytes) read into bufp

Returns
  0 on success > 0 is internal return < 0 is the -errno

## globus_gss_assist_token_send_fd()

int globus_gss_assist_token_send_fd | ( | void * | arg,
|  | void * | buf,
|  | size_t | size )

Send token via a FILE *.

Write a token to the open FILE handle. Will write it with a 4 byte length. This function provides parameter types that allow it to be passed to globus_gss_assist_init_sec_context and globus_gss_assist_accept_sec_context

Parameters

  arg | the FILE * stream to send the token on
  buf | the token
  size | the size of the token in bytes

Returns
  0 on success >0 on error <0 on errno error

## globus_gss_assist_token_send_fd_ex()

int globus_gss_assist_token_send_fd_ex | ( | void * | exp,
|  | void * | buf,
|  | size_t | size )

Send a token to a FILE *.

Write a token to the open FILE *. This function will look at the flag to determine if the length field needs to be written.

Parameters

  exp | the globus_gss_assist_ex variable that holds the FILE * stream and flags to bet set
  buf | the token buffer to send
  size | size of the token buffer

Returns
  0 on success >0 on error <0 on errno error (-errno)

## globus_gss_assist_token_send_fd_without_length()

int globus_gss_assist_token_send_fd_without_length | ( | void * | arg,
|  | void * | buf,
|  | size_t | size )

Send token to a FILE *.

Write a token to the open FILE. This function will write it without a length, so that the FILE stream only contains GSSAPI tokens.